\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Related Functions
CGAL::cpp11::array< T, int > Class Template Reference
STL Extensions for CGAL Reference

`#include <CGAL/array.h>`

## Definition

An object of the class `cpp11::array` represents an array of elements of type `T`, the number of which is specified by the second template argument.

There is actually no class in namespace `CGAL::cpp11` with this name, but a using declaration which imports a class from another namespace. By order of priority: the one in namespace `std` is used (provided by C++0x), if not found, then the one in namespace `std::tr1` is used (provided by TR1), and finally, the fallback solution is taken from Boost.

Parameters

The parameter `T` is the value type. The second parameter is the dimension of the array.

Extensions

CGAL provides a `make_array` function for this purpose, up to a certain number of arguments.

## Related Functions
(Note that these are not member functions.)
template<class T >
array< T, N > | make_array (const T &...)

## Friends And Related Function Documentation

template<class T >

array< T, N > make_array | ( | const T & | ...) |  |
| related

Returns
  `array<T, N>` where `N` is the number of arguments given to the function. The position of each argument in the array is the same as its position in the argument list.

The maximal number of arguments is `6`.